Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class AnnotationMatcher

    java.lang.Object
      org.jboss.aop.pointcut.AnnotationMatcher

All Implemented Interfaces:
  TypeExpressionParserVisitor

public class AnnotationMatcher
extends Object
implements TypeExpressionParserVisitor

Takes a Javassist object and sees if the expression pertains to that Javassist object (CtMethod, CtField, CtClass, CtConstructor)

Version:
  $Revision: 1.7 $
Author:
  Bill Burke

Constructor Summary
`AnnotationMatcher(Advisor advisor, Object element)`

Method Summary
`javassist.CtClass` | `getDeclaringClass()`
`Class` | `getJavaDeclaringClass()`
`Object` | `visit(ASTAllParameter node, Object data)`
`Object` | `visit(ASTAnd node, Object left)`
`Object` | `visit(ASTAttribute node, Object data)`
`Object` | `visit(ASTBoolean node, Object data)`
`Object` | `visit(ASTClass node, Object data)`
`Object` | `visit(ASTComposite node, Object data)`
`Object` | `visit(ASTConstructor node, Object data)`
`Object` | `visit(ASTException node, Object data)`
`Object` | `visit(ASTField node, Object data)`
`Object` | `visit(ASTHasField node, Object data)`
`Object` | `visit(ASTHas node, Object data)`
`Object` | `visit(ASTMethod node, Object data)`
`Object` | `visit(ASTNot node, Object data)`
`Object` | `visit(ASTOr node, Object left)`
`Object` | `visit(ASTParameter node, Object data)`
`Object` | `visit(ASTStart node, Object data)`
`Object` | `visit(ASTSub node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationMatcher

    public AnnotationMatcher(Advisor advisor,
                             Object element)

Method Detail

### visit

    public Object visit(ASTStart node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTBoolean node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTComposite node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTNot node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTSub node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTAnd node,
                        Object left)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTOr node,
                        Object left)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(SimpleNode node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### getDeclaringClass

    public javassist.CtClass getDeclaringClass()

### getJavaDeclaringClass

    public Class getJavaDeclaringClass()

### visit

    public Object visit(ASTHas node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTHasField node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTClass node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTMethod node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTConstructor node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTField node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTAttribute node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTParameter node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTAllParameter node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

### visit

    public Object visit(ASTException node,
                        Object data)

  Specified by:
    `visit` in interface `TypeExpressionParserVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.